> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Request EOR Contract Resignation

POST https://api.letsdeel.com/rest/eor/{oid}/terminations/resignation
Content-Type: application/json

Submits a resignation request for an EOR contract on behalf of a team member. Callers must hold group admin or people manager permissions.

 **Token scopes**: `contracts:read`, `contracts:write`

Reference: https://developer.deel.com/api/eor-endpoints/eor-terminations/create-resignation

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `oid` (string, required) — Public contract oid

### Body (application/json)

This endpoint expects an object.

- `data` (EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaData, required)

## Response

### 200

Ok response

- `data` (EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Unauthorized response

- `list of EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaItems`

### 403 Forbidden Error

Forbidden response

- `list of EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaItems`

### 404 Not Found Error

Not Found response

- `list of EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaItems`

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaData

- `data` (EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataData, required)

### EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaData

- `id` (float, optional)
- `end_date` (string, optional, nullable) — The definitive contract end date
- `contract_id` (string, optional) — Public contract oid
- `request_data` (EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaDataRequestData, optional, nullable)
- `desired_end_date` (string, optional, nullable) — The desired end date. If the date is not provided, it will be selected by HRX the closest date possible

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaItems

- `message` (string, required)

### EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataData

- `reason` (enum, required) — Reason why the contract is being terminated
  - Allowed values: `EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY`, `MOVING_EMPLOYEE_TO_INTERNAL_ENTITY`, `MOVING_EMPLOYEE_TO_DEEL_PEO`, `EMPLOYEE_FOUND_ANOTHER_JOB`, `EMPLOYEE_NOT_HAPPY_WITH_BENEFITS`, `EMPLOYEE_NOT_HAPPY_WITH_SALARY`, `EMPLOYEE_NOT_HAPPY_WITH_THE_ROLE`, `EMPLOYEE_NOT_HAPPY_WITH_COMPANY_CULTURE`, `EMPLOYEE_NOT_HAPPY_WITH_DEEL`, `EMPLOYEE_PROJECT_ENDED`, `EMPLOYEE_SWITCHING_TO_OTHER_EOR_PROVIDER`, `EMPLOYEE_LEFT_ROLE_FOR_PERSONAL_MATTERS`, `EMPLOYEE_MOVING_FROM_EOR_TO_CONTRACTOR_OR_FREELANCE`, `WORKER_TYPE_CHANGE`, `DEEL_COLLECTIONS`, `EMPLOYEE_DID_NOT_TAKE_THE_OFFER`, `EMPLOYEE_PROVIDED_NO_REASON`, `OTHER_BUSINESS_REASONS`
- `used_time_off` (EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOff, required)
- `is_employee_staying_with_deel` (boolean, required, nullable) — Defines if employee will keep using Deel as provider
- `attachments` (list of EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataAttachmentsItems, optional) — Any document that is important for the request to terminate the contract
- `is_sensitive` (boolean, optional) — Defines whether the termination is sensitive. In this case, only the person requesting the termination will be able to view the termination, receive emails or notifications.
- `reason_detail` (string, optional) — Optional field to describe the reason behind the resignation request
- `severance_type` (enum, optional) — The type of severance selected by the client. It's an optional field
  - Allowed values: `DAYS`, `WEEKS`, `MONTHS`, `CASH`
- `desired_end_date` (string, optional) — The desired end date. If the date is not provided, it will be selected by HRX the closest date possible
- `severance_amount` (float, optional) — The amount of severance needed
- `additional_reason` (enum, optional, nullable) — An additional reason can be provided in case the reason selected is MOVING_EMPLOYEE_TO_INTERNAL_ENTITY
  - Allowed values: `MOVING_TO_INTERNAL_ENTITY_WITH_DEEL_GLOBAL_PAYROLL`, `MOVING_TO_INTERNAL_ENTITY_WITH_OTHER_PROVIDER`
- `termination_notes` (list of string, optional, default: []) — Additional notes can be provided regarding the termination for Deel, like questions and doubts
- `eligible_for_rehire` (enum, optional, nullable) — Parameter to inform whether it would be possible for the client to hire the employee again
  - Allowed values: `YES`, `NO`, `DONT_KNOW`
- `termination_impact_id` (string, optional) — Termination impact data if there is some configured on HR module
- `eligible_for_rehire_reason` (string, optional, nullable) — Describe if the option DONT_KNOW was selected on eligibleForRehire
- `custom_termination_reason_id` (string, optional, nullable) — Custom termination reason ID. A custom termination reason can be added on Client HR module

### EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaDataRequestData

- `reason` (string, optional, nullable)
- `end_date` (string, optional, nullable) — The definitive contract end date
- `reason_detail` (string, optional, nullable) — Optional field to describe the reason behind the resignation request
- `desired_end_date` (string, optional, nullable) — The desired end date. If the date is not provided, it will be selected by HRX the closest date possible
- `termination_impact` (EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaDataRequestDataTerminationImpact, optional, nullable) — Custom termination impact data if there is some configured on HR module
- `eligible_for_rehire` (enum, optional, nullable) — Parameter to inform whether it would be possible for the client to hire the employee again
  - Allowed values: `YES`, `NO`, `DONT_KNOW`
- `eligible_for_rehire_reason` (string, optional, nullable) — Describe if the option DONT_KNOW was selected on eligibleForRehire
- `custom_termination_reason_id` (float, optional, nullable) — Custom termination reason ID. A custom termination reason can be added on Client HR module

### EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOff

- `time_offs` (list of EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOffTimeOffsItems, optional) — All time-off used by the employee during contract period
- `additional_details` (string, optional, nullable) — Any additional details regarding time off that HRX should know
- `is_deel_pto_confirmed` (boolean, optional) — Defines whether the client agrees with the time off values that are registered in Deel. If false, it means that the client changed the values.

### EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataAttachmentsItems

- `key` (string, required)
- `file_name` (string, optional)

### EorOidTerminationsResignationPostResponsesContentApplicationJsonSchemaDataRequestDataTerminationImpact

Custom termination impact data if there is some configured on HR module

- `id` (string, optional)
- `title` (string, optional) — Termination impact title
- `description` (string, optional) — Termination impact description

### EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOffTimeOffsItems

- `unit` (enum, required) — Time off unit
  - Allowed values: `BUSINESS_DAY`, `CALENDAR_DAY`, `HOUR`, `WEEK`, `MONTH`, `YEAR`
- `policy_type` (enum, optional) — Time off policy type
  - Allowed values: `Vacation`, `Sick leave`, `Maternity leave`, `Paternity leave`, `Parental leave`, `Bereavement leave`, `Childcare leave`, `Civic/public duty leave`, `Personal leave`, `Adoption leave`, `Blood donation leave`, `Childbirth leave`, `Disability leave`, `Doctor's appointment leave`, `Family & domestic violence leave`, `Hajj leave`, `Marriage/wedding leave`, `Military leave`, `Moving leave`, `Pregnancy leave`, `Study leave`, `Volunteer leave`, `Unpaid leave`, `Paid leave`, `Other leave`, `RTT`, `Regional holiday`, `Breastfeeding leave`, `Advanced vacation`, `Supplementary Leave`, `Floating Holiday Allowance`
- `tracking_periods` (list of EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOffTimeOffsItemsTrackingPeriodsItems, optional)
- `scheduled_until_end_date` (float, optional) — Time off escheduled until contract end date

### EorOidTerminationsResignationPostRequestBodyContentApplicationJsonSchemaDataDataUsedTimeOffTimeOffsItemsTrackingPeriodsItems

- `used` (float, required) — Time off used in the period
- `end_date` (string, optional) — Time off start period
- `start_date` (string, optional) — Time off end period

## Examples

**Request**

```json
{
  "data": {
    "data": {
      "reason": "EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY",
      "used_time_off": {
        "time_offs": [
          {
            "unit": "CALENDAR_DAY",
            "policy_type": "Vacation",
            "tracking_periods": [
              {
                "used": 25,
                "end_date": "2024-12-31T00:00:00.000Z",
                "start_date": "2024-01-01T00:00:00.000Z"
              },
              {
                "used": 30,
                "end_date": "2023-12-31T00:00:00.000Z",
                "start_date": "2023-01-01T00:00:00.000Z"
              }
            ],
            "scheduled_until_end_date": 5
          }
        ],
        "additional_details": "Any additional details regarding time off that HRX should know",
        "is_deel_pto_confirmed": true
      },
      "is_employee_staying_with_deel": false
    }
  }
}
```

**Response**

```json
{
  "data": {
    "id": 1.1,
    "end_date": "'2025-01-31T00:00:00.000Z'",
    "contract_id": "5B74FnLM",
    "request_data": {
      "reason": "string",
      "end_date": "'2025-01-31T00:00:00.000Z'",
      "reason_detail": "Employee is moving to another country",
      "desired_end_date": "2025-01-31",
      "termination_impact": {
        "id": "string",
        "title": "Bad Impact",
        "description": "It will be bad"
      },
      "eligible_for_rehire": "DONT_KNOW",
      "eligible_for_rehire_reason": "false",
      "custom_termination_reason_id": 1.1
    },
    "desired_end_date": "2025-01-31"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/eor/5B74FnLM/terminations/resignation"

payload = { "data": { "data": {
            "reason": "EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY",
            "used_time_off": {
                "time_offs": [
                    {
                        "unit": "CALENDAR_DAY",
                        "policy_type": "Vacation",
                        "tracking_periods": [
                            {
                                "used": 25,
                                "end_date": "2024-12-31T00:00:00.000Z",
                                "start_date": "2024-01-01T00:00:00.000Z"
                            },
                            {
                                "used": 30,
                                "end_date": "2023-12-31T00:00:00.000Z",
                                "start_date": "2023-01-01T00:00:00.000Z"
                            }
                        ],
                        "scheduled_until_end_date": 5
                    }
                ],
                "additional_details": "Any additional details regarding time off that HRX should know",
                "is_deel_pto_confirmed": True
            },
            "is_employee_staying_with_deel": False
        } } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/eor/5B74FnLM/terminations/resignation';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"data":{"reason":"EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY","used_time_off":{"time_offs":[{"unit":"CALENDAR_DAY","policy_type":"Vacation","tracking_periods":[{"used":25,"end_date":"2024-12-31T00:00:00.000Z","start_date":"2024-01-01T00:00:00.000Z"},{"used":30,"end_date":"2023-12-31T00:00:00.000Z","start_date":"2023-01-01T00:00:00.000Z"}],"scheduled_until_end_date":5}],"additional_details":"Any additional details regarding time off that HRX should know","is_deel_pto_confirmed":true},"is_employee_staying_with_deel":false}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/5B74FnLM/terminations/resignation"

	payload := strings.NewReader("{\n  \"data\": {\n    \"data\": {\n      \"reason\": \"EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY\",\n      \"used_time_off\": {\n        \"time_offs\": [\n          {\n            \"unit\": \"CALENDAR_DAY\",\n            \"policy_type\": \"Vacation\",\n            \"tracking_periods\": [\n              {\n                \"used\": 25,\n                \"end_date\": \"2024-12-31T00:00:00.000Z\",\n                \"start_date\": \"2024-01-01T00:00:00.000Z\"\n              },\n              {\n                \"used\": 30,\n                \"end_date\": \"2023-12-31T00:00:00.000Z\",\n                \"start_date\": \"2023-01-01T00:00:00.000Z\"\n              }\n            ],\n            \"scheduled_until_end_date\": 5\n          }\n        ],\n        \"additional_details\": \"Any additional details regarding time off that HRX should know\",\n        \"is_deel_pto_confirmed\": true\n      },\n      \"is_employee_staying_with_deel\": false\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/5B74FnLM/terminations/resignation")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"data\": {\n      \"reason\": \"EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY\",\n      \"used_time_off\": {\n        \"time_offs\": [\n          {\n            \"unit\": \"CALENDAR_DAY\",\n            \"policy_type\": \"Vacation\",\n            \"tracking_periods\": [\n              {\n                \"used\": 25,\n                \"end_date\": \"2024-12-31T00:00:00.000Z\",\n                \"start_date\": \"2024-01-01T00:00:00.000Z\"\n              },\n              {\n                \"used\": 30,\n                \"end_date\": \"2023-12-31T00:00:00.000Z\",\n                \"start_date\": \"2023-01-01T00:00:00.000Z\"\n              }\n            ],\n            \"scheduled_until_end_date\": 5\n          }\n        ],\n        \"additional_details\": \"Any additional details regarding time off that HRX should know\",\n        \"is_deel_pto_confirmed\": true\n      },\n      \"is_employee_staying_with_deel\": false\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/eor/5B74FnLM/terminations/resignation")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"data\": {\n      \"reason\": \"EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY\",\n      \"used_time_off\": {\n        \"time_offs\": [\n          {\n            \"unit\": \"CALENDAR_DAY\",\n            \"policy_type\": \"Vacation\",\n            \"tracking_periods\": [\n              {\n                \"used\": 25,\n                \"end_date\": \"2024-12-31T00:00:00.000Z\",\n                \"start_date\": \"2024-01-01T00:00:00.000Z\"\n              },\n              {\n                \"used\": 30,\n                \"end_date\": \"2023-12-31T00:00:00.000Z\",\n                \"start_date\": \"2023-01-01T00:00:00.000Z\"\n              }\n            ],\n            \"scheduled_until_end_date\": 5\n          }\n        ],\n        \"additional_details\": \"Any additional details regarding time off that HRX should know\",\n        \"is_deel_pto_confirmed\": true\n      },\n      \"is_employee_staying_with_deel\": false\n    }\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/eor/5B74FnLM/terminations/resignation', [
  'body' => '{
  "data": {
    "data": {
      "reason": "EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY",
      "used_time_off": {
        "time_offs": [
          {
            "unit": "CALENDAR_DAY",
            "policy_type": "Vacation",
            "tracking_periods": [
              {
                "used": 25,
                "end_date": "2024-12-31T00:00:00.000Z",
                "start_date": "2024-01-01T00:00:00.000Z"
              },
              {
                "used": 30,
                "end_date": "2023-12-31T00:00:00.000Z",
                "start_date": "2023-01-01T00:00:00.000Z"
              }
            ],
            "scheduled_until_end_date": 5
          }
        ],
        "additional_details": "Any additional details regarding time off that HRX should know",
        "is_deel_pto_confirmed": true
      },
      "is_employee_staying_with_deel": false
    }
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/5B74FnLM/terminations/resignation");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"data\": {\n      \"reason\": \"EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY\",\n      \"used_time_off\": {\n        \"time_offs\": [\n          {\n            \"unit\": \"CALENDAR_DAY\",\n            \"policy_type\": \"Vacation\",\n            \"tracking_periods\": [\n              {\n                \"used\": 25,\n                \"end_date\": \"2024-12-31T00:00:00.000Z\",\n                \"start_date\": \"2024-01-01T00:00:00.000Z\"\n              },\n              {\n                \"used\": 30,\n                \"end_date\": \"2023-12-31T00:00:00.000Z\",\n                \"start_date\": \"2023-01-01T00:00:00.000Z\"\n              }\n            ],\n            \"scheduled_until_end_date\": 5\n          }\n        ],\n        \"additional_details\": \"Any additional details regarding time off that HRX should know\",\n        \"is_deel_pto_confirmed\": true\n      },\n      \"is_employee_staying_with_deel\": false\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": ["data": [
      "reason": "EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY",
      "used_time_off": [
        "time_offs": [
          [
            "unit": "CALENDAR_DAY",
            "policy_type": "Vacation",
            "tracking_periods": [
              [
                "used": 25,
                "end_date": "2024-12-31T00:00:00.000Z",
                "start_date": "2024-01-01T00:00:00.000Z"
              ],
              [
                "used": 30,
                "end_date": "2023-12-31T00:00:00.000Z",
                "start_date": "2023-01-01T00:00:00.000Z"
              ]
            ],
            "scheduled_until_end_date": 5
          ]
        ],
        "additional_details": "Any additional details regarding time off that HRX should know",
        "is_deel_pto_confirmed": true
      ],
      "is_employee_staying_with_deel": false
    ]]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/5B74FnLM/terminations/resignation")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```